Create Sandbox Snapshot

  • POST
  • /workspaces
  • /:workspace
  • /sandboxes
  • /:sandbox_id
  • /snapshots

Create a new snapshot of a sandbox

Request

REQUIRED SCOPES
SANDBOX_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

sandbox_idrequiredstring
The ID of the sandbox

Example: "sb-1234567890abcdef"

POST PARAMETERS
namestring
Snapshot name

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idstring
The ID of the snapshot
namestring
Snapshot name
sizeinteger
Snapshot size in GB
statusstring enum
Snapshot status
Allowed enum:
CREATING,
CREATED,
DELETING,
FAILED
create_datestring
Snapshot creation date
created_byMemberView
User/member reference

Last modified on Jan 26, 2026

Request example

curl -X POST "https://api.buddy.works/workspaces/:workspace/sandboxes/:sandbox_id/snapshots" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "name": "Manual backup before deployment" }'